summaryrefslogtreecommitdiffstats
path: root/bin/gen-DSA
diff options
context:
space:
mode:
authorChris Lamb <lamby@debian.org>2018-08-20 10:05:11 +0100
committerChris Lamb <lamby@debian.org>2018-08-20 10:06:22 +0100
commitcc581af387d02e0ef658f64e849c72adc9cd2ffa (patch)
tree4179d3b9576dbace8294bf809c54cde35f983f19 /bin/gen-DSA
parentfd8a12df91fbc82b1ed17cb7f5d5ce0ec9017e54 (diff)
bin/gen-DSA: Try and avoid duplicated work when generating DLAs and ELAs due to lack of co-ordination in the -needed.txt files.
Diffstat (limited to 'bin/gen-DSA')
-rwxr-xr-xbin/gen-DSA3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/gen-DSA b/bin/gen-DSA
index 3ced2eef36..fd88f2679b 100755
--- a/bin/gen-DSA
+++ b/bin/gen-DSA
@@ -394,6 +394,9 @@ EOF
if [ -d .git ]; then
echo "Made the following changes:"
git diff -- data/$IDMODE/list $needed_file
+ if ! git diff-index --name-only HEAD -- $needed_file | grep -qs .; then
+ warn "did not make any changes to $needed_file - this may indicate duplicate work"
+ fi
fi
warn "you need to commit and push the changes to data/$IDMODE/list etc. to actually reserve the $IDMODE-$DAID number and avoid conflicts with others."
if [ -d .git ]; then

© 2014-2024 Faster IT GmbH | imprint | privacy policy